package cn.iocoder.yudao.module.order.convert.orderCargoControl;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderCargoControl.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderCargoControl.OrderCargoControlDO;

/**
 * 订单控货人信息 Convert
 * @author 郑屹
 */
@Mapper
public interface OrderCargoControlConvert {
    /*****转换MapStruct*****/
    OrderCargoControlConvert INSTANCE = Mappers.getMapper(OrderCargoControlConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderCargoControlDO convert(OrderCargoControlCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderCargoControlDO convert(OrderCargoControlUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderCargoControlBackVO convert(OrderCargoControlDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderCargoControlBackVO> convertList(List<OrderCargoControlDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderCargoControlBackVO> convertPage(PageResult<OrderCargoControlDO> page);
}
